Publish Artifact Version
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Publish Artifact Version action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Publish NPM Artifact",
"type": "PUBLISH_ARTIFACT_VERSION",
"trigger_time": "ON_EVERY_EXECUTION",
"artifact": "my-company/ui-components",
"versions": [
"3.2.1"
],
"local_path": "/dist",
"remote_path": "/artifacts",
"input_type": "BUILD_ARTIFACTS",
"deployment_excludes": [
"*.map",
"*.test.js"
],
"deployment_includes": [
"**/*.js",
"**/*.css",
"package.json"
],
"deletion_disabled": true
}'STATUS200 OK